# ZlibCompression.Factory (sshj 0.5.0 API)
Date: 2011-07-27

## net.schmizz.sshj.transport.compression
Class ZlibCompression.Factory

    java.lang.Object
      net.schmizz.sshj.transport.compression.ZlibCompression.Factory

All Implemented Interfaces:
  Factory<Compression>, Factory.Named<Compression>

Enclosing class:
  ZlibCompression

    public static class ZlibCompression.Factory

extends Object
implements Factory.Named<Compression>

Named factory for the ZLib Compression.

Nested Class Summary

Nested classes/interfaces inherited from interface net.schmizz.sshj.common.Factory.Named
`Factory.Named.Util`

Nested classes/interfaces inherited from interface net.schmizz.sshj.common.Factory
`Factory.Named<T>`

Constructor Summary
`ZlibCompression.Factory()`

Method Summary
`Compression` `create()`
`String` `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZlibCompression.Factory

    public ZlibCompression.Factory()

Method Detail

### create

    public Compression create()

  Specified by:
    `create` in interface `Factory<Compression>`
  Returns:
    a new object created using this factory.

### getName

    public String getName()

  Specified by:
    `getName` in interface `Factory.Named<Compression>`
  Returns:
    the name of this factory.

Copyright © 2009-2011. All Rights Reserved.